## python-rcon 2.4.4

=== Makefile ===
FILE_LIST = ./.installed_files.txt

.PHONY: build clean install publish pull push uninstall

build:
	@ ./setup.py sdist bdist_wheel

clean:
	@ rm -Rf ./build ./dist

default: | pull clean install

install:
	@ ./setup.py install --record $(FILE_LIST)

publish:
	@ twine upload dist/*

pull:
	@ git pull

push:
	@ git push

pypi: | clean build publish

uninstall:
	@ while read FILE; do echo "Removing: $$FILE"; rm "$$FILE"; done < $(FILE_LIST)

## python-rcon 1.3.8

=== debian/changelog ===
python-rcon (1.3.8-1) unstable; urgency=low

  * Initial release (Closes: #1005361).

 -- Michael Fladischer <fladi@debian.org>  Sun, 20 Feb 2022 13:44:49 +0000

=== debian/control ===
Source: python-rcon
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 docbook-to-man,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.0.1
Homepage: https://github.com/conqp/rcon
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rcon
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rcon.git
Rules-Requires-Root: no

Package: python-rcon-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client implementation for RCON protocol (Documentation)
 Python 3 library, which provides a client to interact with RCON servers. The
 RCON protocol is used to remotely control a game server, i.e.  execute commands
 on a game server and receive the respective results.
 .
 This package contains the documentation.

Package: python3-rcon
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-rcon-doc,
Description: client implementation for RCON protocol (Python3 version)
 Python 3 library, which provides a client to interact with RCON servers. The
 RCON protocol is used to remotely control a game server, i.e.  execute commands
 on a game server and receive the respective results.
 .
 This package contains the Python 3 version of the library.

Package: rcon
Architecture: all
Section: net
Depends:
 python3-rcon (= ${binary:Version}),
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Description: client for RCON protocol
 Python 3 library, which provides a client to interact with RCON servers. The
 RCON protocol is used to remotely control a game server, i.e.  execute commands
 on a game server and receive the respective results.
 .
 This package contains the CLI tools.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/source/.build/.doctrees -N docs/source $(CURDIR)/debian/python-rcon-doc/usr/share/doc/python-rcon-doc/html
	dh_sphinxdoc
endif

execute_after_dh_auto_build:
	set -e ; \
	for doc in rcongui rconclt rconshell; do \
	  docbook-to-man debian/manpage.$$doc.sgml > $$doc.1; \
	done

execute_after_dh_clean:
	rm -rf docs/source/.build

## python-rcon 2.3.6

=== debian/changelog ===
python-rcon (2.3.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 03 Oct 2022 12:30:23 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/conqp/rcon
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rcon
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-rcon.git

## python-rcon 2.3.9

=== debian/changelog ===
python-rcon (2.3.9-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.2.

 -- Michael Fladischer <fladi@debian.org>  Tue, 31 Jan 2023 21:12:19 +0000

python-rcon (2.3.8-1) unstable; urgency=low

  * New upstream release.
  * Update d/copyright with new years.
  * Clean up .mypy_cache to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Thu, 05 Jan 2023 22:03:37 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/conqp/rcon
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rcon
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-rcon.git

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 	done
 
 execute_after_dh_clean:
-	rm -rf docs/source/.build
+	rm -rf docs/source/.build .mypy_cache

## python-rcon 2.4.4

=== debian/changelog ===
python-rcon (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4
  * Build using pybuild-plugin-pyproject.
  * Use help2man to generate up-to-date man page, drop docbook-to-man.
  * Add gir1.2-gtk-3.0 and python3-gi to Build-Depends, required to generate
    output for help2man.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Mon, 11 Sep 2023 21:35:20 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- docbook-to-man,
+ gir1.2-gtk-3.0,
+ help2man,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-gi,
  python3-pytest,
  python3-setuptools,
  python3-setuptools-scm,
@@ -51,8 +54,8 @@
 Architecture: all
 Section: net
 Depends:
+ python3-gi,
  python3-rcon (= ${binary:Version}),
- python3-gi,
  ${misc:Depends},
  ${python3:Depends},
 Description: client for RCON protocol

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/python-rcon-$1.tar.gz/ \
https://github.com/conqp/rcon/tags \
/conqp/rcon/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-rcon 2.4.6

=== debian/changelog ===
python-rcon (2.4.6-1) unstable; urgency=low

  * New upstream version 2.4.6
  * Use dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.
  * Update year in d/copyright.
  * Install testfiles using d/pybuild.testfiles.

 -- Michael Fladischer <fladi@debian.org>  Sat, 20 Jul 2024 14:55:40 +0000

## python-rcon 2.4.9

=== debian/changelog ===
python-rcon (2.4.9-1) unstable; urgency=low

  * New upstream version 2.4.9

 -- Michael Fladischer <fladi@debian.org>  Thu, 21 Nov 2024 21:27:38 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  gir1.2-gtk-3.0,
  help2man,
  pybuild-plugin-pyproject,
@@ -17,7 +17,7 @@
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/conqp/rcon
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rcon
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-rcon.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -12,10 +14,10 @@
 	dh_sphinxdoc
 endif
 
-execute_after_dh_auto_build:
+execute_before_dh_installman:
 	set -e ; \
 	for doc in rcongui rconclt rconshell; do \
-	  docbook-to-man debian/manpage.$$doc.sgml > $$doc.1; \
+	  PYTHONPATH=$(CURDIR) help2man --version-string="$(DEB_VERSION_UPSTREAM)" -n "Client implementation for RCON protocol" $(CURDIR)/debian/rcon/usr/bin/$$doc >$$doc.1; \
 	done
 
 execute_after_dh_clean:
